Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-workflow-definition.put-envelope-delayed-routing-definition ​

Updates the delayed routing rules for an envelope's workflow step definition. You can use this endpoint to add delayed routing to a draft envelope or a sent envelope (as long as the previous workflow step has not yet been completed). You can also update the delayed routing rule for an envelope, as long as the delay is not yet complete. If you update the delayed routing rule while the delay is already in progress, the countdown will reset.

Updates the delayed routing rules for an envelope's workflow step definition.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
workflowstepidstringYes—The ID of the workflow step.
resumedatestringNo—The ISO 8601 timestamp of when the envelope is scheduled to be sent to the recipients associated with the workflow step. This property is null if the workflow step has not been initiated. This property is read-only.
ruleslistNo—User-specified rules indicating how and when the envelope should sent for the workflow step and its associated recipients. Only one rule may be specified.
statusstringNo—Status of the delayed routing step. Valid values: * pending: The workflow step has not been reached and the delay has not been initiated. * started: The workflow step has begun and the delay is in progress. The envelope has not yet been sent to the workflow step's recipients. * completed: The delay has elapsed and the envelope has been sent to the workflow step's recipients. This property is read-only.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
workflowstepidstringYes—The ID of the workflow step.
resumedatestringNo—The ISO 8601 timestamp of when the envelope is scheduled to be sent to the recipients associated with the workflow step. This property is null if the workflow step has not been initiated. This property is read-only.
ruleslistNo—User-specified rules indicating how and when the envelope should sent for the workflow step and its associated recipients. Only one rule may be specified.
statusstringNo—Status of the delayed routing step. Valid values: * pending: The workflow step has not been reached and the delay has not been initiated. * started: The workflow step has begun and the delay is in progress. The envelope has not yet been sent to the workflow step's recipients. * completed: The delay has elapsed and the envelope has been sent to the workflow step's recipients. This property is read-only.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/{workflowStepId}/delayedRouting
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/{workflowStepId}/delayedRouting
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-workflow-definition.put-envelope-delayed-routing-definition",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value",
    "workflowstepid": "value"
  }
}